#!/usr/bin/perl

if((!$ARGV[0])or(!$ARGV[1])) {die "usage: $0 <fna-file> <palindrome(.pal) file>\n"};

sub open_pal_file{
 (my $pal_file)=@_;
 @pal_start=();
 @pal_end=();
 @palSeq=();
 open(PAL,"<$pal_file") or die "can't open file $in\n";
 my @pal=<PAL>;
  foreach my $p(@pal){
    my @part=split(/\t/,$p);
    my $pend=$part[1];
    my $pstart=$part[0];
    push @pal_start, $pstart;
    push @pal_end, $pend;
  }
 close(PAL);
}

sub mask_string{
 (my $str)=@_;
  @s=split("",$str);
 for(my $i=0;$i<@pal_start;$i++){
   for(my $j=$pal_start[$i];$j<=$pal_end[$i];$j++){
     $s[$j]=lc $s[$j];
   }
 }
 #$str=join("",@s);
 return (\@s);
}

$in=$ARGV[0];
open(IN,"<$in") or die "can't open $in $!\n";
 $seq="";
 while(<IN>){
   chomp;
   if($_!~/^>/){
      $seq.=$_;
   }else{
      $name=$_;
   }
 }
close(IN);

$pal_file=$ARGV[1];
open_pal_file($pal_file);
$pS=mask_string($seq);
$N=scalar @$pS;

$pal_file=~/(.+?).(pal|bed)/s;
$out=$1.".masked";
 open(OUT,">$out") or die "cannot create file $out: $!\n";
   print OUT "$name\n";
   for($i=0;$i<$N;$i++){
     print OUT "$$pS[$i]";
     if(((!($i % 70)) &&($i>0))){print OUT "\n"};
   }
   print OUT "\n";
 close(OUT);
