 create_dataset = function(relPath){
      args = commandArgs()
      files <- list.files(path=paste(args[9],relPath,sep=""), pattern="*.*", full.names=T, recursive=FALSE)
      i=0
      for(x in files) {
          b <- read.table(x)
          max_y <- max(b[[2]])
          i = i+1
	  splt = strsplit(x, "/", perl = T)
	  nm = unlist(splt)
          png (paste(args[9],nm[7],as.character(i),".png",sep=""),width = 1800)
          par(mar=c(5, 5, 4, 1.7))
         plot(b$V1,b$V2,axes=FALSE, ann=FALSE,type="l",col = "blue", xlim = c(0,100), ylim = c(0,max_y+1), lwd = 3)
          title(main = x, xlab = "Transposon length (scaled to 100%)", ylab = "Stem-loop density, %", cex.lab = 2)


          axis(1, at = seq(0,100,1),  cex.axis=2, labels=F)
          axis(1, at = seq(0,100,5), cex.axis=2, lwd = 3, labels=seq(0,100,5))
	  axis(2, at = seq(0,100,5),  cex.axis=2, labels=F)
          axis (2, at = seq (0,100,20),lwd = 3,cex.axis=2, labels=seq(0,100,20) )


          dev.off()
      }
  }
 create_dataset("final_res")

