#!/usr/bin/perl -w


$DIR1=$ARGV[0];
$mode = $ARGV[1];
$N = $ARGV[2];
$PARAM=$ARGV[3];


if ($mode eq 'm'){
while(defined($file_to_be_del=glob("$DIR1/final_res/*"))){
unlink("$file_to_be_del") or die " aaa$!";
   }
}


$LOGFILE="profile_maker.log";
open(LOG,">>$DIR1/logs/$LOGFILE") or die "$!\n";
close(LOG);


sub printLOG{
(my $message)=@_;
  open(LOG,">>$DIR1/logs/$LOGFILE") or die "$!\n";
  $time=localtime();
  print LOG "$time $message\n";
  close(LOG);
}

printLOG("started");


sub search_and_mask{
printLOG("splitting transp file");
while(defined($file_transp=glob("$DIR1/res/*.txt"))){
if(-z $file_transp){ printLOG("!!!ATTENTION!!! There are no transp met the criteria received");}
system("perl split_fa_transp.pl $file_transp $DIR1");}
printLOG("finish splitting transp file");


printLOG("finished");


printLOG("started palindrome searching");
  while(defined($fa=glob("$DIR1/res/*.fa"))){
#    printLOG("$fa");
   system("./search_palindromes_$PARAM $fa fake.ptt");
  }
printLOG("finished palindrome searching");



printLOG("started masking");
  while(defined($pal=glob("$DIR1/res/*.S*.pal"))){
    $fna=$pal;
    $fna=~s/.$PARAM.pal//;
    #print "$fna $pal\n";
    #printLOG("$fna $pal");
    system("perl mask_with_palindromes.pl  $fna $pal");
  }

printLOG("finished masking");
}


sub profile_construction{
printLOG("started average transp construction");
while(defined($masked=glob("$DIR1/res/*.masked"))){
   $masked=~/$DIR1\/res\/(.+?)\.*.masked/;

   if ($mode eq 'm'){
   	system("perl average_transp_construction_many_seq_separately.pl $masked $N $DIR1");
   }
   if ($mode eq 's'){
	system("perl preparing_masked_files.pl $masked $PARAM $DIR1");
   }
}

if ($mode eq 's'){
	$enter=$PARAM.".txt";
	system ("perl average_transp_construction_all_seq.pl $enter $N $PARAM $DIR1"); 
}

printLOG("finished average transp construction");
}

sub png_creation_m{													
printLOG("started png creation");
if ($N == 1000){$str = 'R CMD BATCH --slave "--args '.$DIR1.'/" picture_1000_many_seq_separately.r';}			
if($N == 100){$str = 'R CMD BATCH --slave "--args '.$DIR1.'/" picture_100_many_seq_separately.r';}
#print "$str\n";

system ($str);
printLOG("finished png creation");
}

sub png_creation_s{                                                                                                     
printLOG("started png creation");
if ($N == 1000){$str = 'R CMD BATCH --slave "--args '.$DIR1.'/" picture_1000_all_seq.r';}                    
if($N == 100){$str = 'R CMD BATCH --slave "--args '.$DIR1.'/" picture_100_all_seq.r';}
#print "$str\n";

system ($str);
printLOG("finished png creation");
}


search_and_mask;
profile_construction;
if ($mode eq 's'){png_creation_s};
if ($mode eq 'm'){png_creation_m};
